/*
 * This file is generated by jOOQ.
 */
package de.ship.db.tables.records;


import de.ship.db.tables.TCoreMissinglist;

import java.time.LocalDateTime;

import org.jooq.Record1;
import org.jooq.impl.UpdatableRecordImpl;


/**
 * This class is generated by jOOQ.
 */
@SuppressWarnings({ "all", "unchecked", "rawtypes" })
public class TCoreMissinglistRecord extends UpdatableRecordImpl<TCoreMissinglistRecord> {

    private static final long serialVersionUID = 1L;

    /**
     * Setter for <code>common_dd.t_core_missinglist.lastchange</code>.
     */
    public void setLastchange(LocalDateTime value) {
        set(0, value);
    }

    /**
     * Getter for <code>common_dd.t_core_missinglist.lastchange</code>.
     */
    public LocalDateTime getLastchange() {
        return (LocalDateTime) get(0);
    }

    /**
     * Setter for <code>common_dd.t_core_missinglist.pk</code>. id of missing
     * list
     */
    public void setPk(Integer value) {
        set(1, value);
    }

    /**
     * Getter for <code>common_dd.t_core_missinglist.pk</code>. id of missing
     * list
     */
    public Integer getPk() {
        return (Integer) get(1);
    }

    /**
     * Setter for <code>common_dd.t_core_missinglist.name</code>. optional name
     * for this missinglist
     */
    public void setName(String value) {
        set(2, value);
    }

    /**
     * Getter for <code>common_dd.t_core_missinglist.name</code>. optional name
     * for this missinglist
     */
    public String getName() {
        return (String) get(2);
    }

    // -------------------------------------------------------------------------
    // Primary key information
    // -------------------------------------------------------------------------

    @Override
    public Record1<Integer> key() {
        return (Record1) super.key();
    }

    // -------------------------------------------------------------------------
    // Constructors
    // -------------------------------------------------------------------------

    /**
     * Create a detached TCoreMissinglistRecord
     */
    public TCoreMissinglistRecord() {
        super(TCoreMissinglist.T_CORE_MISSINGLIST);
    }

    /**
     * Create a detached, initialised TCoreMissinglistRecord
     */
    public TCoreMissinglistRecord(LocalDateTime lastchange, Integer pk, String name) {
        super(TCoreMissinglist.T_CORE_MISSINGLIST);

        setLastchange(lastchange);
        setPk(pk);
        setName(name);
        resetChangedOnNotNull();
    }
}
